Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Connection_Purging_Strategy Class Reference

The base class for all purging strategies. More...

`#include <Connection_Purging_Strategy.h>`

Inheritance diagram for TAO_Connection_Purging_Strategy:

[legend]
List of all members.

## Public Methods
| TAO_Connection_Purging_Strategy (int cache_maximum)
| The constructor. More...
virtual | ~TAO_Connection_Purging_Strategy (void)
| The destructor. More...
virtual int | cache_maximum (void) const
| Return the maximum number of cache entries. More...
virtual void | update_item (TAO_Transport *transport)=0
| Sub-classes must implement these methods. More...
## Private Attributes
int | cache_maximum_
| The maximum number of cach entries. More...

## Detailed Description

The base class for all purging strategies.

This class is used by the Transport_Cache_Manager to maintain ordering information on each Transport that is created.

## Constructor & Destructor Documentation

ACE_INLINE TAO_Connection_Purging_Strategy::TAO_Connection_Purging_Strategy | ( | int | cache_maximum | ) |

| The constructor.

TAO_Connection_Purging_Strategy::~TAO_Connection_Purging_Strategy | ( | void |  | ) | `[virtual]`

| The destructor.

## Member Function Documentation

int TAO_Connection_Purging_Strategy::cache_maximum | ( | void |  | ) | const`[virtual]`

| Return the maximum number of cache entries.

virtual void TAO_Connection_Purging_Strategy::update_item | ( | TAO_Transport * | transport | ) | `[pure virtual]`

| Sub-classes must implement these methods. Reimplemented in TAO_LRU_Connection_Purging_Strategy.

## Member Data Documentation

int TAO_Connection_Purging_Strategy::cache_maximum_`[private]`

| The maximum number of cach entries.

The documentation for this class was generated from the following files:

- Connection_Purging_Strategy.h
- Connection_Purging_Strategy.cpp
- Connection_Purging_Strategy.inl